<app-candidate-nav></app-candidate-nav>
<div style="padding-bottom: 2%;">
    <div class="heading">ADD NEW CANDIDATE</div>
    <div class="formContainer">
        <div class="status">
            <div class="statusTitle">Completion Status : {{progress}} %</div>
            <div>
                <mat-progress-bar  mode="determinate" value="{{progress}}" ></mat-progress-bar>
            </div>
        </div>
        <form>
            <div [hidden]="personalDetails">
                <div class="ll"><label class="formCategory">Personal Details</label></div>
                <table>
                    <tr>
                        <td>Name:</td>
                    </tr>
                    <tr>
                        <td>
                            <mat-form-field>
                                <mat-label>Firstname</mat-label>
                                <input matInput [formControl]="gradFirstName" required>
                            </mat-form-field> 
                        </td>
                        <td>
                            <mat-form-field>
                                <mat-label>Middlename</mat-label>
                                <input matInput [formControl]="gradMiddleName" required>
                            </mat-form-field>
                        </td>
                        <td>
                            <mat-form-field>
                                <mat-label>Lastname</mat-label>
                                <input matInput [formControl]="gradLastName" required>
                            </mat-form-field>
                        </td>
                    </tr>
                    <tr>
                        <td>Gender</td>
                        <td>
                            <mat-radio-group aria-label="Select an option" [formControl]="gender">
                                <mat-radio-button value="Male">Male</mat-radio-button>
                                <mat-radio-button value="Female">Female</mat-radio-button>
                                <mat-radio-button value="Others">Others</mat-radio-button>
                              </mat-radio-group>
                        </td>
                    </tr>
                    <tr>
                        <td>Email:</td>
                        <td style="display: inline">
                            <mat-form-field>
                                <input matInput placeholder="pat@example.com" [formControl]="email" required>
                            </mat-form-field>
                        </td>
                        <td><i class="material-icons">email</i></td>
                    </tr>
                    <tr>
                        <td>Contact:</td>
                        <td>
                            <mat-form-field>
                                <mat-label>Enter contact number</mat-label>
                                <input placeholder="9999999999" matInput [formControl]="contact" type="number" required>
                                <!-- <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error> -->
                            </mat-form-field>
                        </td>
                        <td><i class="material-icons">call</i></td>
                    </tr>
                    <tr>
                        <td>Address:</td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <mat-form-field>
                                            <mat-label>House No</mat-label>
                                            <input matInput [formControl]="houseNo" required>
                                        </mat-form-field>
                                    </td>
                                    <td><mat-icon>house</mat-icon></td>
                                </tr>
                                <tr>
                                    <td>
                                        <mat-form-field>
                                            <mat-label>Street</mat-label>
                                            <input matInput [formControl]="street" required>
                                        </mat-form-field>
                                    </td>
                                    <td><mat-icon>add_road</mat-icon></td>
                                </tr>
                                <tr>
                                    <td>
                                        <mat-form-field>
                                            <mat-label>City</mat-label>
                                            <input matInput [formControl]="city" required>
                                        </mat-form-field>
                                    </td> <td><mat-icon>location_city</mat-icon></td>
                                </tr>
                                <tr>
                                    <td>
                                        <mat-form-field>
                                            <mat-label>State</mat-label>
                                            <input matInput [formControl]="state" required>
                                        </mat-form-field>
                                    </td>
                                    <td><mat-icon>map</mat-icon></td>
                                </tr>
                                <tr>
                                    <td>
                                        <mat-form-field>
                                            <mat-label>Zipcode</mat-label>
                                            <input matInput type="number" [formControl]="zipcode" required>
                                        </mat-form-field>
                                    </td>
                                    <td><mat-icon>navigation</mat-icon></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                <div class="inputErr" *ngIf="inputError"> {{errorMsg}}</div>
                <div style="flex-direction: row;display: flex; justify-content: space-between;" >
                    <button mat-raised-button color="warn" class="back" routerLink="/candidate-management">Cancel</button>
                    <button mat-raised-button color="primary" class="proceed" (click)="proceedToED()">Proceed</button>
                </div>
            </div>
            <div [hidden]="educationalDetails">
                <div class="ll"><label class="formCategory">Educational Details</label></div>
                <div>
                    <table>
                        <tr>
                            <td>Institute:</td>
                            <td>
                                <mat-form-field>
                                    <mat-label>Institute Name</mat-label>
                                    <input matInput [formControl]="institute" required>
                                </mat-form-field>
                            </td>
                            <td><mat-icon>account_balance</mat-icon></td>
                        </tr>
                        <tr>
                            <td>Highest Qualification:</td>
                            <td>
                                <mat-form-field>
                                    <mat-label>Enter Qualification</mat-label>
                                    <input matInput placeholder="eg: BTech" [formControl]="degree" required>
                                </mat-form-field>
                            </td>
                            <td><mat-icon>layers</mat-icon></td>
                        </tr>
                        <tr>
                            <td>Branch:</td>
                            <td>
                                <mat-form-field>
                                    <mat-label>Enter your branch</mat-label>
                                    <input matInput [formControl]="branch" required>
                                </mat-form-field>
                            </td>
                            <td><mat-icon>legend_toggle</mat-icon></td>
                        </tr>
                    </table>
                </div>
                <div class="inputErr" *ngIf="inputError">{{errorMsg}}</div>
                <div style="flex-direction: row;display: flex; justify-content: space-between;" >
                    <button mat-raised-button color="warn" class="back" (click)="proceedtoPSD()">Back</button>
                   
                    <button mat-raised-button color="primary" (click)="proceedToPD()" class="proceed">Proceed</button>
                </div>
            </div>
            <div [hidden]="professionalDetails">
                <div class="ll"><label class="formCategory">Professional Details</label></div>
                <div>
                    <table>
                        <tr>
                            <td>Date of Joining:</td>
                            <td>
                                <mat-form-field>
                                    <mat-label>Set Joining Date</mat-label>
                                    <input matInput [matDatepicker]="picker" [formControl]="dateOfJoining" required>
                                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                    <mat-datepicker #picker></mat-datepicker>
                                </mat-form-field>
                            </td>
                        </tr>
                        <tr>
                            <td>Location:</td>
                            <td>
                                <mat-form-field>
                                    <mat-label>Joining Location</mat-label>
                                    <input matInput placeholder="eg: Mumbai" [formControl]="joiningLocation" required>
                                </mat-form-field>
                            </td>
                            <td><i class="material-icons">location_on</i></td>
                        </tr>
                    </table>
                </div>
                <div>
                    <table>
                        <tr>
                            <td>Skills:</td>
                            <td class="skillsInput">
                        <tr>
                            <td *ngIf="newSkill">{{newSkill.skillName}}</td>
                            <td><mat-select [(ngModel)]="newSkill" name="newSkill">
                                <mat-option *ngFor="let skill of skillsList" [(value)]="skill">
                                  {{skill.skillName}}
                                </mat-option>
                              </mat-select>
                            </td>
                            <td>
                                <button mat-mini-fab color="primary" (click)="addskill(newSkill)">
                                    +
                                </button>
                            </td>

                        </tr>
                        </td>
                        <td class="skillsDisplay">
                            <table>
                                <tr *ngFor="let skill of skills;let i=index">
                                    <td class="skills">
                                        <button mat-raised-button color="primary" (click)="removeskill(i)">{{skill.skillName}}
                                            &nbsp;x</button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        </tr>
                        <tr>
                            <td></td>
                        </tr>
                    </table>
                </div>
                <div style="flex-direction: row;display: flex; justify-content: space-between;">
                    <button mat-raised-button color="warn" class="back" (click)="proceedToED()">Back</button>
                    <button mat-raised-button color="primary" class="proceed" (click)="proceedtoSubmit()">Proceed</button>
                </div>
            </div>
            <div [hidden]="submitform">
                <div class="warning">* Please Confirm Entered Details</div>
                 <div>
                  <div class="confirmDetailsCategory">Personal Details</div>
                    <table class="displayTable">
                        <tr>
                            <td>Name:</td>
                            <td>{{gradFirstName.value}}&nbsp;&nbsp;&nbsp;
                            {{gradMiddleName.value}}&nbsp;&nbsp;&nbsp;{{gradLastName.value}}</td>
                        </tr>
                        
                        <tr>
                            <td>Email:</td>
                            <td>{{email.value}}</td>
                        </tr>
                        <tr>
                            <td>Contact:</td>
                            <td>{{contact.value}}</td>
                        </tr>
                        <tr>
                            <td>Address:</td>
                                <td>
                                {{houseNo.value}} ,&nbsp;&nbsp; 
                                 {{street.value}} ,&nbsp;&nbsp; 
                                {{city.value}} ,&nbsp;&nbsp;
                                {{state.value}},&nbsp;&nbsp;
                                {{zipcode.value}} 
                            </td>
                        </tr>
                    </table>

                      <div class="confirmDetailsCategory">Educational Details</div>
                    <table class="displayTable">
                        <tr>
                            <td>Institute:</td>
                            <td>{{institute.value}}</td>
                        </tr>
                        <tr>
                            <td>Degree:</td>
                            <td>{{degree.value}}</td>
                        </tr>
                        <tr>
                            <td>Branch:</td>
                            <td>{{branch.value}}</td>
                        </tr>
                    </table>

                   <div class="confirmDetailsCategory">Professional Details</div>
                    <table class="displayTable">
                         <tr>
                            <td>Date of Joining:</td>
                            <td>{{dateOfJoining.value}}</td>
                        </tr>
                       <tr>
                            <td>Joining Location:</td>
                            <td>{{joiningLocation.value}}</td>
                        </tr>
                        <tr>
                            <td>Skills:</td>
                            <td>
                                <table>
                                    <tr *ngFor="let skill of skills">
                                        <td >
                                           {{skill.skillName}}
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table> 
                </div>
                <div style="flex-direction: row;display: flex; justify-content: space-between;">
                    <button mat-raised-button color="warn" class="back" (click)="proceedToPD()">Change Details</button>
                    <button mat-raised-button color="primary" class="proceed" (click)="submitForm()">Add Candidate</button>
                </div>
            </div>
        </form>
    </div>
</div>